define("icyWildsComponentsExpandingWildsPort", ["componentmodelComponentApi", "clientkernelEventbusApi"],
    function(componentmodelComponentApi, clientkernelEventbusApi) {
        "use strict";

        function $iterator(o) {
            if (o instanceof Array) return function() {
                return {
                    cur: 0,
                    arr: o,
                    hasNext: function() {
                        return this.cur < this.arr.length;
                    },
                    next: function() {
                        return this.arr[this.cur++];
                    }
                };
            };
            return typeof(o.iterator) == 'function' ? $bind(o, o.iterator) : o.iterator;
        };;
        var $fid = 0;

        function $bind(o, m) {
            if (m == null) return null;
            if (m.__id__ == null) m.__id__ = $fid++;
            var f;
            if (o.hx__closures__ == null) o.hx__closures__ = {};
            else f = o.hx__closures__[m.__id__];
            if (f == null) {
                f = function() {
                    return f.method.apply(f.scope, arguments);
                };
                f.scope = o;
                f.method = m;
                o.hx__closures__[m.__id__] = f;
            }
            return f;
        };
        var $_;
        var $estr = function() {
            return _hcmn_.js_Boot.__string_rec(this, '');
        };
        if (typeof haxe == 'undefined') {
            var haxe = {};
        };

        haxe.IMap = function() {}
        haxe.IMap.prototype = {

        };
        if (typeof icyWildsComponentsExpandingWildsPort == 'undefined') {
            var icyWildsComponentsExpandingWildsPort = {};
        };
        icyWildsComponentsExpandingWildsPort.ExpandingWildsDeclaration = function() {};
        icyWildsComponentsExpandingWildsPort.ExpandingWildsDeclaration = ck_implements(icyWildsComponentsExpandingWildsPort.ExpandingWildsDeclaration, componentmodelComponentApi.IComponentDeclaration);
        icyWildsComponentsExpandingWildsPort.ExpandingWildsDeclaration.__interfaces__ = [componentmodelComponentApi.IComponentDeclaration];
        icyWildsComponentsExpandingWildsPort.ExpandingWildsDeclaration.__name__ = ["icyWildsComponentsExpandingWildsPort", "ExpandingWildsDeclaration"];
        icyWildsComponentsExpandingWildsPort.ExpandingWildsDeclaration.prototype.getChildComponents = function() {
            return null;
        };
        icyWildsComponentsExpandingWildsPort.ExpandingWildsDeclaration.prototype.getReferredComponents = function() {
            return null;
        };
        icyWildsComponentsExpandingWildsPort.ExpandingWildsDeclaration.prototype.getImplementedPorts = function() {
            return [icyWildsComponentsExpandingWildsPort.IExpandingWildsImplementationPort];
        };
        icyWildsComponentsExpandingWildsPort.ExpandingWildsDeclaration.prototype.getUsedPorts = function() {
            return [icyWildsComponentsExpandingWildsPort.IExpandingWildsPort];
        };
        icyWildsComponentsExpandingWildsPort.ExpandingWildsDeclaration.prototype.__class__ = icyWildsComponentsExpandingWildsPort.ExpandingWildsDeclaration;

        icyWildsComponentsExpandingWildsPort.IExpandingWildsPort = function() {}
        icyWildsComponentsExpandingWildsPort.IExpandingWildsPort.prototype = {

            getShow: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            getShown: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            }
        };

        icyWildsComponentsExpandingWildsPort.IExpandingWildsImplementationPort = function() {}
        icyWildsComponentsExpandingWildsPort.IExpandingWildsImplementationPort.prototype = {

            getShow: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            getShown: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            }
        };
        icyWildsComponentsExpandingWildsPort.ExpandingWildsPort = function(bus) {
            this.shown = new clientkernelEventbusApi.Topic("expandingWilds:shown");
            this.show = new clientkernelEventbusApi.Topic("expandingWilds:show");
            this.show.connect(bus);
            this.shown.connect(bus);
        };
        icyWildsComponentsExpandingWildsPort.ExpandingWildsPort = ck_implements(icyWildsComponentsExpandingWildsPort.ExpandingWildsPort, icyWildsComponentsExpandingWildsPort.IExpandingWildsPort);
        icyWildsComponentsExpandingWildsPort.ExpandingWildsPort = ck_implements(icyWildsComponentsExpandingWildsPort.ExpandingWildsPort, icyWildsComponentsExpandingWildsPort.IExpandingWildsImplementationPort);
        icyWildsComponentsExpandingWildsPort.ExpandingWildsPort.__interfaces__ = [icyWildsComponentsExpandingWildsPort.IExpandingWildsPort, icyWildsComponentsExpandingWildsPort.IExpandingWildsImplementationPort];
        icyWildsComponentsExpandingWildsPort.ExpandingWildsPort.__name__ = ["icyWildsComponentsExpandingWildsPort", "ExpandingWildsPort"];
        icyWildsComponentsExpandingWildsPort.ExpandingWildsPort.prototype.show = null;
        icyWildsComponentsExpandingWildsPort.ExpandingWildsPort.prototype.shown = null;
        icyWildsComponentsExpandingWildsPort.ExpandingWildsPort.prototype.getShow = function() {
            return this.show;
        };
        icyWildsComponentsExpandingWildsPort.ExpandingWildsPort.prototype.getShown = function() {
            return this.shown;
        };
        icyWildsComponentsExpandingWildsPort.ExpandingWildsPort.prototype.__class__ = icyWildsComponentsExpandingWildsPort.ExpandingWildsPort;
        icyWildsComponentsExpandingWildsPort.ExpandingWildsPortFactory = function() {};
        icyWildsComponentsExpandingWildsPort.ExpandingWildsPortFactory = ck_implements(icyWildsComponentsExpandingWildsPort.ExpandingWildsPortFactory, componentmodelComponentApi.IPortFactory);
        icyWildsComponentsExpandingWildsPort.ExpandingWildsPortFactory.__interfaces__ = [componentmodelComponentApi.IPortFactory];
        icyWildsComponentsExpandingWildsPort.ExpandingWildsPortFactory.__name__ = ["icyWildsComponentsExpandingWildsPort", "ExpandingWildsPortFactory"];
        icyWildsComponentsExpandingWildsPort.ExpandingWildsPortFactory.prototype.provide = function(channel) {
            return new icyWildsComponentsExpandingWildsPort.ExpandingWildsPort(channel);
        };
        icyWildsComponentsExpandingWildsPort.ExpandingWildsPortFactory.prototype["use"] = function(channel) {
            return new icyWildsComponentsExpandingWildsPort.ExpandingWildsPort(channel);
        };
        icyWildsComponentsExpandingWildsPort.ExpandingWildsPortFactory.prototype.__class__ = icyWildsComponentsExpandingWildsPort.ExpandingWildsPortFactory;
        icyWildsComponentsExpandingWildsPort.ShowPayload = function(data, instantShow, reelId, isSpinning) {
            if (instantShow == null) instantShow = false;
            this.data = data;
            this.instantShow = instantShow;
            this.reelId = reelId;
            this.isSpinning = isSpinning;
        };
        icyWildsComponentsExpandingWildsPort.ShowPayload.__name__ = ["icyWildsComponentsExpandingWildsPort", "ShowPayload"];
        icyWildsComponentsExpandingWildsPort.ShowPayload.prototype.data = null;
        icyWildsComponentsExpandingWildsPort.ShowPayload.prototype.instantShow = null;
        icyWildsComponentsExpandingWildsPort.ShowPayload.prototype.reelId = null;
        icyWildsComponentsExpandingWildsPort.ShowPayload.prototype.isSpinning = null;
        icyWildsComponentsExpandingWildsPort.ShowPayload.prototype.__class__ = icyWildsComponentsExpandingWildsPort.ShowPayload;
        icyWildsComponentsExpandingWildsPort.ShowType = function() {};
        icyWildsComponentsExpandingWildsPort.ShowType.__name__ = ["icyWildsComponentsExpandingWildsPort", "ShowType"];
        icyWildsComponentsExpandingWildsPort.ShowType.prototype.__class__ = icyWildsComponentsExpandingWildsPort.ShowType;
        icyWildsComponentsExpandingWildsPort.ShowType.none = 0;;
        icyWildsComponentsExpandingWildsPort.ShowType.announcement = 1;;
        icyWildsComponentsExpandingWildsPort.ShowType.expandingwild = 2;;
        icyWildsComponentsExpandingWildsPort.ShowType.expandingwildgold = 3;;
        return {
            exports: icyWildsComponentsExpandingWildsPort
        };
    });
//# sourceURL=icyWildsExpandingWildsPort.js